<?php
/*
 * Plugin COG
 * (c] 2009 Guillaume Wauquier
 * Distribue sous licence GPL
 *
 */
function cog_config_tab_fichier($objet = null)
{

    $tab_cog_fichier = [
        'cog_commune' => ['nom' => 'Communes',
            'cle_unique' => ['departement', 'code'],
            'fichier' => 'https://www.insee.fr/fr/statistiques/fichier/3363419/comsimp2018-txt.zip',
            'nom_fichier' => 'comsimp2018.txt',
        ],
        'cog_canton' => ['nom' => 'Cantons',
            'cle_unique' => ['departement', 'arrondissement', 'code'],
            'fichier' => 'https://www.insee.fr/fr/statistiques/fichier/3363419/canton2018-txt.zip',
            'nom_fichier' => 'canton2018.txt'],
        'cog_arrondissement' => ['nom' => 'Arrondissements',
            'cle_unique' => ['departement', 'code'],
            'fichier' => 'https://www.insee.fr/fr/statistiques/fichier/3363419/arrond2018-txt.zip',
            'nom_fichier' => 'arrond2018.txt'],
        'cog_departement' => ['nom' => 'Départements',
            'fichier' => 'https://www.insee.fr/fr/statistiques/fichier/3363419/depts2018-txt.zip',
            'nom_fichier' => 'depts2018.txt'],
        'cog_region' => ['nom' => 'Régions',
            'fichier' => 'region2016.txt'],
        'cog_regions_ancienne' => ['nom' => 'Anciennes définitions des régions',
            'fichier' => 'region2015.txt']
    ];
    if ($objet)
        return $tab_cog_fichier[$objet];
    return $tab_cog_fichier;
}

function cog_config_tab_table()
{
    $tab_cog_fichier = [
        'cog_commune' => ['nom' => 'Communes'],
        'cog_canton' => ['nom' => 'Cantons'],
        'cog_arrondissement' => ['nom' => 'Arrondissements'],
        'cog_departement' => ['nom' => 'Départements'],
        'cog_region' => ['nom' => 'Régions']
    ];
    return $tab_cog_fichier;
}
